> ## Documentation Index
> Fetch the complete documentation index at: https://developer.uphold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update profile

> Update the profile process for an individual user.

export const RestEndpointSubjects = ({subjects = []}) => {
  const subjectToIconMap = {
    'client': 'browser',
    'user:individual': 'user',
    'user:business': 'briefcase'
  };
  if (subjects.length === 0) {
    return null;
  }
  return <>
      {subjects.map(subject => <a key={subject} href="/rest-apis/authentication#subjects" className="border-0 opacity-85 hover:opacity-100 transition-opacity">
          <Badge stroke size="lg" icon={subjectToIconMap[subject]} color="gray" className="mr-1">
            {subject}
          </Badge>
        </a>)}
    </>;
};

<RestEndpointSubjects subjects={["user:individual"]} />

**Update profile** is the endpoint through which the user can update their personal information, such as name, date of birth, citizenship, and residential address.

<Tip>This process solely updates the user's personal information and residential address. It does **not** perform identity or address verification. For identity verification, refer to the [identity](./update-identity) process. For address verification, refer to the [proof-of-address](./update-proof-of-address) process.</Tip>

## Region-specific rules

Some fields are only accepted based on the user's region. When a field isn't accepted, it's ignored rather than rejected (see [Warnings](#warnings)).

* `subdivision`: only accepted when the [proof-of-address](./update-proof-of-address) process is [`partner-verified`](./introduction#verification) for your organization **and** the `country` field is **not** set to `US`.
* `birthplace`: only accepted when the `address.country` field is set to a country that requires it for regulatory compliance.
* `otherCitizenships`: only accepted when the `address.country` field is set to a country that requires it for regulatory compliance.

## Warnings

If you submit a field whose `presence` is `disallowed` or whose `editable` is `false`, it's silently ignored rather than rejected, and reported in a `warnings` object on the response:

```json theme={null}
{
  "profile": {
    // ... profile fields ...
  },
  "warnings": {
    "input": [
      {
        "code": "verification_rule_violated",
        "message": "Field 'input.otherCitizenships' was ignored as its presence is disallowed",
        "details": {
          "property": "input.otherCitizenships",
          "rule": "presence"
        }
      }
    ]
  }
}
```


## OpenAPI

````yaml _media/specs/core-openapi.mintlify.json patch /core/kyc/processes/profile
openapi: 3.1.0
info:
  version: 0.1.0
  title: Core API
  description: >-
    The Core API provides essential building blocks that empower businesses to
    embed financial services into their applications.
  contact:
    name: Uphold API Team
    email: developers@uphold.com
    url: https://developer.uphold.com
servers:
  - url: https://api.enterprise.sandbox.uphold.com
    description: Sandbox
  - url: https://api.enterprise.uphold.com
    description: Production
security:
  - OAuth2: []
tags:
  - name: Authentication
    description: Authentication.
  - name: Countries
    description: Countries.
  - name: Users
    description: Users.
  - name: KYC
    description: Individual User's KYC.
  - name: KYB
    description: Business User's KYB.
  - name: Capabilities
    description: User capabilities.
  - name: Terms of service
    description: User terms of service.
  - name: Files
    description: Files.
  - name: Assets
    description: Assets, networks and rails.
  - name: Accounts
    description: Accounts.
  - name: External accounts
    description: External accounts.
  - name: Transactions
    description: Transactions.
  - name: Requests for information
    description: Requests for information.
  - name: Portfolio
    description: Portfolio.
  - name: Statements
    description: Statements.
  - name: Metadata
    description: Metadata.
  - name: Webhooks
    description: Webhooks.
paths:
  /core/kyc/processes/profile:
    patch:
      tags:
        - KYC
      summary: Update profile
      description: Update the profile process for an individual user.
      operationId: core.update-kyc-profile
      requestBody:
        $ref: '#/components/requestBodies/update-kyc-profile-request-body'
      responses:
        '200':
          $ref: '#/components/responses/update-kyc-profile-response'
        '409':
          $ref: '#/components/responses/update-kyc-profile-conflict-response'
      security:
        - OAuth2:
            - core.kyc.profile:update
components:
  requestBodies:
    update-kyc-profile-request-body:
      content:
        application/json:
          schema:
            type: object
            properties:
              input:
                type: object
                minProperties: 1
                dependentSchemas:
                  details:
                    maxProperties: 1
                properties:
                  fullName:
                    allOf:
                      - $ref: >-
                          #/components/schemas/string-at-least-two-words-no-edge-spaces
                      - description: The full legal name.
                        type: string
                        maxLength: 200
                  birthdate:
                    description: The date of birth.
                    type: string
                    format: date
                  birthplace:
                    description: The place of birth.
                    type: object
                    properties:
                      country:
                        allOf:
                          - $ref: '#/components/schemas/country-code-for-request'
                          - description: The country of birth.
                      town:
                        allOf:
                          - $ref: '#/components/schemas/string-no-edge-spaces'
                          - description: The town of birth.
                            type: string
                            minLength: 1
                            maxLength: 100
                    required:
                      - country
                      - town
                  primaryCitizenship:
                    allOf:
                      - $ref: '#/components/schemas/country-code-for-request'
                      - description: The primary citizenship country.
                  citizenshipCountry:
                    deprecated: true
                    allOf:
                      - $ref: '#/components/schemas/country-code-for-request'
                      - description: >-
                          The citizenship country. Deprecated in favor of
                          primaryCitizenship.
                  otherCitizenships:
                    description: Additional citizenship countries.
                    type: array
                    items:
                      $ref: '#/components/schemas/country-code-for-request'
                  address:
                    allOf:
                      - $ref: >-
                          #/components/schemas/update-address-without-country-for-request
                      - description: The address information.
                  details:
                    deprecated: true
                    description: >-
                      Dynamic form input following the [JSON
                      Forms](https://jsonforms.io/) specification. Deprecated in
                      favor of the flat profile fields.
                    type: object
                    additionalProperties: true
            required:
              - input
          examples:
            Update Process:
              value:
                input:
                  fullName: John Doe
                  birthdate: '1987-01-01'
                  primaryCitizenship: GB
                  address:
                    city: Manchester
                    line1: 1 High Street
                    line2: Northern Quarter
                    postalCode: M4 1AA
  responses:
    update-kyc-profile-response:
      description: KYC profile process updated.
      content:
        application/json:
          schema:
            type: object
            properties:
              profile:
                $ref: '#/components/schemas/kyc-profile'
              warnings:
                $ref: '#/components/schemas/process-warnings'
            required:
              - profile
          examples:
            Process Updated:
              value:
                profile:
                  code: profile
                  status: ok
                  verification:
                    model: none
                    method: manual
                    dependencies: []
                    rules:
                      fullName:
                        presence: required
                        editable: true
                      birthdate:
                        presence: required
                        editable: true
                      birthplace:
                        presence: disallowed
                        editable: false
                        rules:
                          country:
                            presence: required
                            editable: false
                          town:
                            presence: required
                            editable: false
                      primaryCitizenship:
                        presence: disallowed
                        editable: false
                      otherCitizenships:
                        presence: disallowed
                        editable: false
                      address:
                        presence: required
                        editable: true
                        rules:
                          subdivision:
                            presence: optional
                            editable: false
                          city:
                            presence: required
                            editable: true
                          line1:
                            presence: required
                            editable: true
                          line2:
                            presence: optional
                            editable: true
                          postalCode:
                            presence: required
                            editable: true
                  input:
                    fullName: John Doe
                    birthdate: '1987-01-01'
                    primaryCitizenship: GB
                    address:
                      country: GB
                      subdivision: GB-MAN
                      city: Manchester
                      line1: 1 High Street
                      line2: Northern Quarter
                      postalCode: M4 1AA
            Process Updated With Warnings:
              value:
                profile:
                  code: profile
                  status: ok
                  verification:
                    model: partner-verified
                    method: manual
                    dependencies: []
                    rules:
                      fullName:
                        presence: required
                        editable: true
                      birthdate:
                        presence: required
                        editable: true
                      birthplace:
                        presence: disallowed
                        editable: false
                        rules:
                          country:
                            presence: required
                            editable: false
                          town:
                            presence: required
                            editable: false
                      primaryCitizenship:
                        presence: required
                        editable: true
                      otherCitizenships:
                        presence: disallowed
                        editable: false
                      address:
                        presence: required
                        editable: true
                        rules:
                          subdivision:
                            presence: optional
                            editable: false
                          city:
                            presence: required
                            editable: true
                          line1:
                            presence: required
                            editable: true
                          line2:
                            presence: optional
                            editable: true
                          postalCode:
                            presence: required
                            editable: true
                  input:
                    fullName: John Doe
                    birthdate: '1987-01-01'
                    primaryCitizenship: GB
                    otherCitizenships:
                      - GB
                    address:
                      country: GB
                      subdivision: GB-MAN
                      city: Manchester
                      line1: 1 High Street
                      line2: Northern Quarter
                      postalCode: M4 1AA
                warnings:
                  input:
                    - code: verification_rule_violated
                      message: >-
                        Field 'input.otherCitizenships' was ignored as its
                        presence is disallowed
                      details:
                        property: input.otherCitizenships
                        rule: presence
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
    update-kyc-profile-conflict-response:
      description: Business logic error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Full Name Contains Invalid Characters:
              value:
                code: invalid_characters
                message: The request has invalid characters
                details:
                  context: body
                  property: input.fullName
            User Underage:
              value:
                code: date_invalid
                message: The date must be older than or equal to 18 years ago
                details:
                  rule: difference-greater-than-or-equal-to-threshold
                  threshold:
                    limit: 18
                    unit: years
                  context: body
                  property: input.birthdate
            User Overage:
              value:
                code: date_invalid
                message: The date must be newer than or equal to 100 years from now
                details:
                  rule: difference-less-than-or-equal-to-threshold
                  threshold:
                    limit: 100
                    unit: years
                  context: body
                  property: input.birthdate
            Primary Citizenship Country Not Supported:
              value:
                code: country_not_supported
                message: The country is not supported
                details:
                  context: body
                  property: input.primaryCitizenship
            Other Citizenships Country Not Supported:
              value:
                code: country_not_supported
                message: The country is not supported
                details:
                  context: body
                  property: input.otherCitizenships[0]
            Place of Birth Country Not Supported:
              value:
                code: country_not_supported
                message: The country is not supported
                details:
                  context: body
                  property: input.birthplace.country
            Address Subdivision Not Supported:
              value:
                code: subdivision_not_supported
                message: The subdivision is not supported
                details:
                  context: body
                  property: input.address.subdivision
            Address PO Boxes Not Allowed:
              value:
                code: po_boxes_not_allowed
                message: PO boxes are not allowed
                details:
                  context: body
                  property: input.address
            Address Postal Code Invalid:
              value:
                code: postal_code_invalid
                message: The postal code is invalid
                details:
                  context: body
                  property: input.address.postalCode
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
  schemas:
    string-at-least-two-words-no-edge-spaces:
      type: string
      pattern: ^\S+\s+\S+(\s+\S+)*$
    country-code-for-request:
      type: string
      pattern: ^[A-Z]{2}$
    string-no-edge-spaces:
      type: string
      pattern: ^\S.*\S$|^\S$
    update-address-without-country-for-request:
      description: The address information.
      type: object
      additionalProperties: false
      minProperties: 1
      properties:
        subdivision:
          allOf:
            - $ref: '#/components/schemas/subdivision-code-for-request'
            - description: The subdivision of the address.
        city:
          allOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - description: The city of the address.
              type: string
              maxLength: 100
        line1:
          allOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - description: The first line of the address.
              type: string
              maxLength: 150
        line2:
          anyOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - type: 'null'
          description: The second line of the address.
        postalCode:
          allOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - description: The postal code of the address.
              type: string
              maxLength: 20
    kyc-profile:
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          allOf:
            - $ref: '#/components/schemas/kyc-process-verification'
            - type: object
              properties:
                rules:
                  type: object
                  properties:
                    fullName:
                      $ref: '#/components/schemas/process-verification-rule'
                    birthdate:
                      $ref: '#/components/schemas/process-verification-rule'
                    birthplace:
                      allOf:
                        - $ref: '#/components/schemas/process-verification-rule'
                        - type: object
                          properties:
                            rules:
                              type: object
                              properties:
                                country:
                                  $ref: >-
                                    #/components/schemas/process-verification-rule
                                town:
                                  $ref: >-
                                    #/components/schemas/process-verification-rule
                    citizenshipCountry:
                      deprecated: true
                      allOf:
                        - $ref: '#/components/schemas/process-verification-rule'
                    primaryCitizenship:
                      $ref: '#/components/schemas/process-verification-rule'
                    otherCitizenships:
                      $ref: '#/components/schemas/process-verification-rule'
                    address:
                      allOf:
                        - $ref: '#/components/schemas/process-verification-rule'
                        - type: object
                          properties:
                            rules:
                              type: object
                              properties:
                                subdivision:
                                  $ref: >-
                                    #/components/schemas/process-verification-rule
                                city:
                                  $ref: >-
                                    #/components/schemas/process-verification-rule
                                line1:
                                  $ref: >-
                                    #/components/schemas/process-verification-rule
                                line2:
                                  $ref: >-
                                    #/components/schemas/process-verification-rule
                                postalCode:
                                  $ref: >-
                                    #/components/schemas/process-verification-rule
        input:
          description: The declared profile details.
          type: object
          properties:
            fullName:
              description: The full legal name.
              type: string
            birthdate:
              description: The date of birth.
              type: string
              format: date
            birthplace:
              description: The place of birth.
              type: object
              properties:
                country:
                  description: The country of birth.
                  type: string
                town:
                  description: The town of birth.
                  type: string
              required:
                - country
                - town
            primaryCitizenship:
              description: The primary citizenship country.
              type: string
            citizenshipCountry:
              deprecated: true
              description: >-
                The citizenship country. Deprecated in favor of
                primaryCitizenship.
              type: string
            otherCitizenships:
              description: Additional citizenship countries.
              type: array
              items:
                type: string
            address:
              allOf:
                - $ref: '#/components/schemas/address'
                - type: object
                  required:
                    - country
            details:
              deprecated: true
              description: >-
                Dynamic form input following the [JSON
                Forms](https://jsonforms.io/) specification. Deprecated in favor
                of the flat profile fields.
              type: object
              additionalProperties: true
        hint:
          deprecated: true
          description: >-
            The hints for the KYC process. Deprecated in favor of
            verification.rules.
          allOf:
            - $ref: '#/components/schemas/kyc-process-hint-form'
      required:
        - code
        - status
    process-warnings:
      type: object
      description: The warnings generated during a process update.
      additionalProperties:
        type: array
        items:
          $ref: '#/components/schemas/warning'
    error:
      description: The error information.
      allOf:
        - $ref: '#/components/schemas/feedback'
    subdivision-code-for-request:
      type: string
      pattern: ^[A-Z]{2}-[A-Z0-9]{1,3}$
    kyc-process-status:
      description: Status of the KYC process.
      type: string
      enum:
        - ok
        - failed
        - running
        - pending
        - exempt
    kyc-process-verification:
      description: Configuration of this process.
      type: object
      properties:
        model:
          description: The verification model to complete this process.
          type: string
          enum:
            - none
            - partner-verified
            - uphold-verified
        method:
          description: >-
            Whether this process is verified automatically in the background or
            requires user action.
          type: string
          enum:
            - automatic
            - manual
        triggers:
          description: >-
            Other processes that, once updated, trigger this process to run
            automatically. Only present when `method` is `automatic`.
          type: array
          items:
            type: string
            enum:
              - profile
              - identity
        dependencies:
          $ref: '#/components/schemas/kyc-process-dependencies'
      required:
        - model
        - method
        - dependencies
    process-verification-rule:
      description: The process verification rule.
      type: object
      properties:
        presence:
          type: string
          enum:
            - required
            - optional
            - disallowed
        editable:
          type: boolean
      required:
        - editable
        - presence
    address:
      description: The address information.
      type: object
      properties:
        country:
          description: The country of the address.
          type: string
        subdivision:
          description: The subdivision of the address.
          type: string
        city:
          description: The city of the address.
          type: string
        line1:
          description: The first line of the address.
          type: string
        line2:
          description: The second line of the address.
          type: string
        postalCode:
          description: The postal code of the address.
          type: string
    kyc-process-hint-form:
      description: The hint for the KYC process.
      type: object
      properties:
        type:
          description: The type of the hint.
          type: string
          enum:
            - form
        formId:
          description: The id of the form.
          type: string
          format: uuid
        schema:
          description: >-
            The definition of the structure and validation rules for this KYC
            process form.


            It follows the [JSON Schema](https://json-schema.org/) specification
            with the power of [JSON Forms](https://jsonforms.io/).


            The schema is iterative, meaning that new questions and properties
            can be added dynamically as the KYC process evolves. This allows for
            a flexible and adaptive form structure that can accommodate changes
            and new requirements over time.
          type: object
          additionalProperties: true
        uiSchema:
          description: >-
            The definition of the general layout and presentation of the form by
            means of different UI schema elements.


            It follows the [JSON Forms](https://jsonforms.io/) specification and
            is used to customize the appearance and behavior of the form fields.


            The `uiSchema` includes the following elements:


            - `Layouts`: Used to structure the form layout. It includes
            properties like `type` to define the layout type (e.g.,
            `Categorization`) and `elements` to define the child elements.

            - `Controls`: Used to define the form controls. It includes
            properties like `scope` to point to the corresponding schema
            property and `label` to define the control's label.

            - `Rules`: Used to define conditional visibility rules for form
            controls. It includes properties like `effect` to define the rule
            effect (e.g., `SHOW`) and `condition` to define the rule condition.


            The `uiSchema` is iterative, meaning that new controls and layout
            elements can be added dynamically as the KYC process evolves. This
            allows for a flexible and dynamic form layout, enhancing the user
            experience by providing a structured and intuitive form design that
            can adapt to new requirements and changes over time.
          type: object
          additionalProperties: true
      required:
        - type
        - schema
        - uiSchema
    warning:
      description: The warning information.
      allOf:
        - $ref: '#/components/schemas/feedback'
    feedback:
      description: A feedback message with a code and human-readable description.
      type: object
      properties:
        code:
          description: A short string with a brief explanation about the code reported.
          type: string
        message:
          description: A human-readable message providing more details.
          type: string
        details:
          description: Additional information about the feedback reported.
          type: object
          additionalProperties: true
      required:
        - code
        - message
    kyc-process-dependencies:
      description: The processes that must be updated before you can update this one.
      type: array
      items:
        type: string
        enum:
          - profile
          - email
          - phone
          - identity
          - proof-of-address
          - customer-due-diligence
          - enhanced-due-diligence
          - crypto-risk-assessment
          - self-categorization-statement
          - tax-details
  securitySchemes:
    OAuth2:
      type: oauth2
      description: OAuth 2.0 authentication.
      flows:
        clientCredentials:
          tokenUrl: /core/oauth2/token
          scopes:
            core.users:act-on-behalf-of: Grants access to act on behalf of a user
            core.users:create: Grants access to create users
            core.users:read: Grants access to view users
            core.users:delete: Grants access to delete users
            core.users.metadata:read: Grants access to view user metadata
            core.users.metadata:write: Grants access to modify user metadata
            core.kyc:read: Grants access to view KYC processes
            core.kyc.profile:update: Grants access to update profile KYC process
            core.kyc.address:update: Grants access to update address KYC process
            core.kyc.email:update: Grants access to update email KYC process
            core.kyc.phone:update: Grants access to update phone KYC process
            core.kyc.identity:update: Grants access to update identity KYC process
            core.kyc.proof-of-address:update: Grants access to update proof-of-address KYC process
            core.kyc.customer-due-diligence:update: Grants access to update customer due diligence KYC process
            core.kyc.enhanced-due-diligence:update: Grants access to update enhanced due diligence KYC process
            core.kyc.crypto-risk-assessment:update: Grants access to update crypto risk assessment KYC process
            core.kyc.self-categorization-statement:update: Grants access to update self-categorization statement KYC process
            core.kyc.tax-details:update: Grants access to update tax details KYC process
            core.kyb:read: Grants access to view KYB processes
            core.kyb.profile:update: Grants access to update profile KYB process
            core.kyb.documents:update: Grants access to update documents KYB process
            core.kyb.financial-institution:update: Grants access to update financial institution KYB process
            core.kyb.associated-persons:create: Grants access to create KYB associated persons
            core.kyb.associated-persons:read: Grants access to view KYB associated persons
            core.kyb.associated-persons:delete: Grants access to delete KYB associated persons
            core.kyb.associated-persons.profile:update: Grants access to update profile KYB associated person process
            core.kyb.associated-persons.identity:update: Grants access to update identity KYB associated person process
            core.kyb.associated-persons.proof-of-address:update: >-
              Grants access to update proof-of-address KYB associated person
              process
            core.kyb.attestation:trigger: Grants access to trigger the attestation process
            core.capabilities:read: Grants access to view user capabilities
            core.terms-of-service:read: Grants access to view terms of service
            core.terms-of-service:accept: Grants access to accept terms of service
            core.files:create: Grants access to create files
            core.files:read: Grants access to view files
            core.files.metadata:read: Grants access to view files metadata
            core.files.metadata:write: Grants access to modify files metadata
            core.accounts:create: Grants access to create accounts
            core.accounts:read: Grants access to view accounts
            core.accounts:update: Grants access to update accounts
            core.accounts:archive: Grants access to archive accounts
            core.accounts:deposit-method: >-
              Grants access to deposit method needed for depositing into
              accounts
            core.accounts:use-test-helpers: Grants access to test helpers of accounts
            core.accounts.metadata:read: Grants access to view accounts metadata
            core.accounts.metadata:write: Grants access to modify accounts metadata
            core.assets:use-test-helpers: Grants access to test helpers of assets
            core.external-accounts:create: Grants access to create external accounts
            core.external-accounts:read: Grants access to view external accounts
            core.external-accounts:update: Grants access to update external accounts
            core.external-accounts:delete: Grants access to delete external accounts
            core.external-accounts.metadata:read: Grants access to view external accounts metadata
            core.external-accounts.metadata:write: Grants access to modify external accounts metadata
            core.transactions:create: Grants access to commit quotes
            core.transactions:read: Grants access to view transactions
            core.transactions.metadata:read: Grants access to view transactions metadata
            core.transactions.metadata:write: Grants access to modify transactions metadata
            core.transactions.requests-for-information:read: Grants access to view transactions requests for information
            core.transactions.requests-for-information:update: Grants access to update transactions requests for information
            core.requests-for-information:read: Grants access to view requests for information
            core.requests-for-information:update: Grants access to update requests for information
            core.portfolio:read: >-
              Grants access to view portfolio overview, performance, and
              historical balance
            core.statements:read: Grants access to read statements
            core.webhooks:management-link: Grants access to create webhook management links

````